<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a id="index_b"></a>- b -</h3><ul>
<li>broadcast
: <a class="el" href="structmcm__wifi__info.html#a0dc265af3f01642016b6c2fea3f47b97">mcm_wifi_info</a>
</li>
<li>bssid
: <a class="el" href="structmcm__wifi__ap.html#ada54e13a310979ac1b9cc5a0e99eda1c">mcm_wifi_ap</a>
, <a class="el" href="structmcm__wifi__info.html#ac8681eef57136344df55f2cfd40ead34">mcm_wifi_info</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>cell_id
: <a class="el" href="structmcm__modem__info.html#a1740860ed66e5bd075efb2edaf871399">mcm_modem_info</a>
</li>
<li>channel
: <a class="el" href="structmcm__wifi__info.html#a4a8c8414c1cb3936442c91298a54cb83">mcm_wifi_info</a>
</li>
<li>connection_status
: <a class="el" href="structmcm__network__status.html#ae23b0791b194952a55a92820731a998d">mcm_network_status</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>default_route
: <a class="el" href="structmcm__network__status.html#aa6089a02ca87959574e86467e3e7fecb">mcm_network_status</a>
</li>
<li>device_imei
: <a class="el" href="structmcm__modem__info.html#a68f8bb73deb7804109ecc3226cc0f253">mcm_modem_info</a>
</li>
<li>device_name
: <a class="el" href="structmcm__interface__info.html#a6042efb8eb4b2bb2a238bdc4cd6fb5e1">mcm_interface_info</a>
, <a class="el" href="structmcm__network__info.html#aa23031d671bb905f72186fe8edc4a377">mcm_network_info</a>
, <a class="el" href="structmcm__object__info.html#a8b6af08ddea0fb36aab47ee89b5f6c57">mcm_object_info</a>
</li>
<li>device_type
: <a class="el" href="structmcm__interface__info.html#a794c93cb5b62cf3926e3f7074c8e5a08">mcm_interface_info</a>
, <a class="el" href="structmcm__network__info.html#a4f978dd9876acda2c1d25fa1191d3505">mcm_network_info</a>
, <a class="el" href="structmcm__object__info.html#a71b958249adff7eae518d6479e6a866d">mcm_object_info</a>
</li>
<li>diag_state
: <a class="el" href="structmcm__diag__info.html#a9f47dd3f659a45b143ef7fd9f6c83d84">mcm_diag_info</a>
</li>
<li>duplex
: <a class="el" href="structmcm__ethernet__info.html#a46966ce81efd5e320fb4c65c58df2559">mcm_ethernet_info</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>enabled
: <a class="el" href="structmcm__network__info.html#a8fad6727994d48c65035da33483fb35e">mcm_network_info</a>
</li>
<li>encryption_type
: <a class="el" href="structmcm__wifi__ap.html#a227e10e3aefa6508882654e931f1e93e">mcm_wifi_ap</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>frequency
: <a class="el" href="structmcm__wifi__info.html#a616a41aa35e271b13dde8f2538873f17">mcm_wifi_info</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>hwmode
: <a class="el" href="structmcm__wifi__info.html#a955deb41eace0d3e7bc08b90e5187b5e">mcm_wifi_info</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>interface_name
: <a class="el" href="structmcm__interface__info.html#a759d3365c1eb6c7e68d42a4e650eb8be">mcm_interface_info</a>
, <a class="el" href="structmcm__object__info.html#a88cde4f12a226fd4d835a680e6dc9a7a">mcm_object_info</a>
</li>
<li>ipv4_address
: <a class="el" href="structmcm__network__status.html#a5e5ba0dd94686af1f6279fe5edac1892">mcm_network_status</a>
</li>
<li>ipv4_dns
: <a class="el" href="structmcm__network__status.html#a06b64b4d2114d6df25a6a06c030427a5">mcm_network_status</a>
</li>
<li>ipv4_gateway
: <a class="el" href="structmcm__network__status.html#a1553cbed186cacfd0409340e64dd7c25">mcm_network_status</a>
</li>
<li>ipv4_method
: <a class="el" href="structmcm__network__info.html#a632377fbe1f9ded216adf3dbd9145a45">mcm_network_info</a>
</li>
<li>ipv4_netmask
: <a class="el" href="structmcm__network__status.html#a18943dc3ad64e5acbe8e7bc6817b7e90">mcm_network_status</a>
</li>
<li>ipv6_address
: <a class="el" href="structmcm__network__status.html#a4a655ad20866a05daacd4d2024b67a2e">mcm_network_status</a>
</li>
<li>ipv6_dns
: <a class="el" href="structmcm__network__status.html#aba6e95f01fc58cdc79394a1aec16d5c8">mcm_network_status</a>
</li>
<li>ipv6_gateway
: <a class="el" href="structmcm__network__status.html#a1e07a23f6e2e446ef2c33d9d74ea6137">mcm_network_status</a>
</li>
<li>ipv6_method
: <a class="el" href="structmcm__network__info.html#acad52ce45f13aa0339eedc4be9580852">mcm_network_info</a>
</li>
<li>ipv6_netmask
: <a class="el" href="structmcm__network__status.html#a90bfb32249407e20ecdc6861a34f46ab">mcm_network_status</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>link_detected
: <a class="el" href="structmcm__ethernet__info.html#ab0a1a9a5ec460c2eab059b20ca060d0f">mcm_ethernet_info</a>
</li>
<li>link_speed
: <a class="el" href="structmcm__ethernet__info.html#ae04231ce43ad5c030cf42404d9c87378">mcm_ethernet_info</a>
</li>
<li>lte_rsrp
: <a class="el" href="structmcm__modem__info.html#a5d12e7233fd54d1be30b3e4daf5bad00">mcm_modem_info</a>
</li>
<li>lte_rssnr
: <a class="el" href="structmcm__modem__info.html#a07baac4587e4648b14672b280c4af366">mcm_modem_info</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>mac_address
: <a class="el" href="structmcm__network__info.html#a7511185a2f1e9bcda5ce4517d06a2e12">mcm_network_info</a>
</li>
<li>message
: <a class="el" href="structmcm__diag__info.html#aff3f31c1330aa5bc2268786989bde5a5">mcm_diag_info</a>
, <a class="el" href="structmcm__upgrade__info.html#a633a2cef9ded9ff0f4dde4e1523d5df8">mcm_upgrade_info</a>
</li>
<li>modem_name
: <a class="el" href="structmcm__modem__info.html#a61679b42ca66eb3ce83c2215b484ce3b">mcm_modem_info</a>
</li>
<li>modem_state
: <a class="el" href="structmcm__modem__info.html#a516cdcb26f55816e6a760c168db7fae7">mcm_modem_info</a>
</li>
<li>modem_version
: <a class="el" href="structmcm__modem__info.html#a1f2b316c1888c57b23787361af56752e">mcm_modem_info</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>name
: <a class="el" href="structmcm__network__info.html#a249f6684e118b42c7967507e9746a48d">mcm_network_info</a>
</li>
<li>network_rat
: <a class="el" href="structmcm__modem__info.html#a5be7d34fa01685c6aaf929ed05245226">mcm_modem_info</a>
</li>
<li>network_type
: <a class="el" href="structmcm__network__info.html#aa3fe6ceda47f2ff6983dae7b071029f0">mcm_network_info</a>
</li>
<li>next
: <a class="el" href="structmcm__object__info.html#ab5d6ca326317d7141a502fdb7c9f6085">mcm_object_info</a>
, <a class="el" href="structmcm__property__info__linked__list.html#ab6cd4922fae976165ec15112ee8fd4e4">mcm_property_info_linked_list</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>operation_mode
: <a class="el" href="structmcm__wifi__info.html#af30a622f61d035104cb7486964cbebc7">mcm_wifi_info</a>
</li>
<li>operator[16]
: <a class="el" href="structmcm__modem__info.html#a12b91b003d0aff7d4b747ca2a8a5562a">mcm_modem_info</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>pin_retries
: <a class="el" href="structmcm__modem__info.html#a253299cd4ce7b8ca1820ea6fa28cbb9d">mcm_modem_info</a>
</li>
<li>profile_name
: <a class="el" href="structmcm__profiles.html#aab03bd9eba8df0e882aca57192b2f99d">mcm_profiles</a>
</li>
<li>propertyName
: <a class="el" href="structmcm__property__info.html#a4f894b1438de23d480b580c58338e2fb">mcm_property_info</a>
, <a class="el" href="structmcm__property__info__linked__list.html#adb99f617acca27b84563f55df4771ee5">mcm_property_info_linked_list</a>
</li>
<li>propertyValue
: <a class="el" href="structmcm__property__info.html#a8c75a7be69b4c2ccf30135b066466a50">mcm_property_info</a>
, <a class="el" href="structmcm__property__info__linked__list.html#a374a88ad8e09b9f635e7df63507c9151">mcm_property_info_linked_list</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>rx
: <a class="el" href="structmcm__datausage__info.html#af9221bbbef568ba5f274c5458b0300ea">mcm_datausage_info</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>secure_mode
: <a class="el" href="structmcm__wifi__info.html#a98f8506389f0e5da3b990656047404e4">mcm_wifi_info</a>
</li>
<li>signal
: <a class="el" href="structmcm__wifi__info.html#ac3d7ef6a7074b5af4e3b39318f4293d7">mcm_wifi_info</a>
</li>
<li>signal_strength
: <a class="el" href="structmcm__modem__info.html#a01a3b89aec45fe3d7a2203e8a629df42">mcm_modem_info</a>
, <a class="el" href="structmcm__wifi__ap.html#a0129252c298006d15b8110cac1e343fd">mcm_wifi_ap</a>
</li>
<li>sim_iccid
: <a class="el" href="structmcm__modem__info.html#a43af76995a662081cfd4dcf84b3c3069">mcm_modem_info</a>
</li>
<li>sim_imsi
: <a class="el" href="structmcm__modem__info.html#af459e1c64a5c79b5fd1beb4aa6c51361">mcm_modem_info</a>
</li>
<li>sim_slot
: <a class="el" href="structmcm__modem__info.html#a77d71118b5d930ca2f8b6a6a65d9ffda">mcm_modem_info</a>
</li>
<li>ssid
: <a class="el" href="structmcm__wifi__ap.html#ad5528d0d509ed8502ba3414a88ba33c3">mcm_wifi_ap</a>
, <a class="el" href="structmcm__wifi__info.html#abc80b0e5023d5d3043539b6dea72630e">mcm_wifi_info</a>
</li>
<li>state
: <a class="el" href="structmcm__upgrade__info.html#a3c745f5922345546ca94ee6c6613dfa9">mcm_upgrade_info</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>taclac
: <a class="el" href="structmcm__modem__info.html#a1bfc9ca217a1f7ff211f9cf2bea72a4f">mcm_modem_info</a>
</li>
<li>tx
: <a class="el" href="structmcm__datausage__info.html#aada7adbbd22e5a473568fb34cb511af9">mcm_datausage_info</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>umts_ecio
: <a class="el" href="structmcm__modem__info.html#aa8068f0cee56b44687d574f34d313501">mcm_modem_info</a>
</li>
<li>umts_rssi
: <a class="el" href="structmcm__modem__info.html#aad28ac10c9948b450f48f10b362fc450">mcm_modem_info</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>wan_priority
: <a class="el" href="structmcm__network__info.html#a7ab60becabbd7f70e7775875338d3ea0">mcm_network_info</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
